> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/tracking/activity-and-exercise/add-exercise-entry.md).

# Add Exercise Entry

Use the `addExerciseEntry` to record the user's Exercise of the day.

### **Required Arguments**

<table data-header-hidden><thead><tr><th width="201.33333333333331">Argument</th><th>Type</th><th>Note</th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Note</td></tr><tr><td><code>datetime</code></td><td>Datetime!</td><td>The date when the steps entrie will be counted. Use the format: <code>YYYY-MM-DDT hh:mm:ssZ</code></td></tr><tr><td><code>type</code></td><td>ExerciseType!</td><td>Exercise Types: CARDIO, STRENGTH, WORKOUT_ROUTINE, RECOVERY, OTHER.</td></tr><tr><td><code>intensity</code></td><td>ExerciseIntensity!</td><td>Exercise Intensity: VIGOROUS, MODERATE, LOW.</td></tr><tr><td><code>durationMinutes</code></td><td>Int!</td><td>Time the exercise lasted in minutes.</td></tr><tr><td><code>calories</code></td><td>Int</td><td>Calories burned.</td></tr></tbody></table>

### **Available Fields**

| Field     | Type    | Note                                                                                   |
| --------- | ------- | -------------------------------------------------------------------------------------- |
| `success` | Boolean | **true:** If the entry has been created successfully. Otherwise, it displays **false** |
| `message` | String  | The message returns either if the information has been updated or not.                 |

### Example <a href="#example" id="example"></a>

{% tabs %}
{% tab title="Request" %}

<pre class="language-graphql"><code class="lang-graphql">mutation {
  addExerciseEntry(
  datetime: "2022-06-23T09:07:21-07:00"
  type: STRENGTH
  intensity: MODERATE
<strong>  durationMinutes: 60
</strong><strong>  calories: 200
</strong>  ) 
  {
    success
    message
  }
}
</code></pre>

{% endtab %}

{% tab title="Headers" %}

```graphql
{
  "Authorization": "Bearer <insert_your_token_here>"
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "addExerciseEntry": {
      "success": true,
      "message": "Exercise added"
    }
  }
}

```

{% endtab %}
{% endtabs %}

### UI Example

![](/files/GJAaCZT021ndPRnVluwl)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/tracking/activity-and-exercise/add-exercise-entry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
